Bug 666222 - Review Request: python-speaklater - implements a lazy string for python useful for use with gettext
Review Request: python-speaklater - implements a lazy string for python usefu...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
http://rpmdev.proyectofedora.org/proj...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-29 12:30 EST by Juan Barba
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:44:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
a.badger: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Juan Barba 2010-12-29 12:30:38 EST

    
Comment 1 Juan Barba 2010-12-29 21:55:23 EST
Spec URL: http://xhaksx.fedorapeople.org/rpmdev/python-speaklater/python-speaklater.spec
SRPM URL: http://xhaksx.fedorapeople.org/rpmdev/python-speaklater/python-speaklater-1.2-1.fc14.src.rpm

Description:

A module that provides lazy strings for translations.  Basically you get an object that appears to be a string but changes the value every time the value is evaluated based on a callable you provide.

I want to note that this is my first package and I need sponsor please.

RPMLINT SUMMARY:

- SRPM
   * 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
- SPEC
   * 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 2 Abdel Gadiel Martínez Lassonde 2010-12-29 22:11:16 EST
I have tested it and it's OK.  The SPEC Filename, Package Name, Version and Release are appropiate.  The Requires are fine.  I installed it without any problems.
Comment 3 Juan Barba 2010-12-30 13:22:20 EST
New Package SCM Request
=======================
Package Name: python-speaklater
Short Description: implements a lazy string for python useful for use with gettext
Owners: haks
Branches: f13 f14 f15 el5 el6
InitialCC: potty gomix
Comment 4 Jason Tibbitts 2010-12-30 14:58:37 EST
Something is a bit odd with this ticket.

First, you should raise the fedora-cvs flag when submitting SCM requests so that they will be seen.

Second, I cannot find any FAS account named "haks".  I found "xhaksx", but that account is not part of the packager group and cannot own packages.

Third, I cannot find any FAS account containing the string "Lassonde".  Abdel, what is your FAS ID?  I thought I knew most of the sponsors, but that name is not familiar to me.  Are you really a sponsor?  You cannot review Juan's package if you are not.
Comment 5 Toshio Ernie Kuratomi 2010-12-30 18:35:10 EST
NEEDSWORK

Good:
* rpmlint:
python-speaklater.noarch: W: spelling-error Summary(en_US) gettext -> get text, get-text, getter
python-speaklater.src: W: spelling-error Summary(en_US) gettext -> get text, get-text, getter
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Those are ignorable

* named according to the guidelines
* spec file matches package name
* license is BSD in spec and package itself which is an approved free software license
* spec file is readable
* Source matches upstream and upstream URL is canonical
* No locales so no need for %find_lang
* Not a C library
* No bundled system libraries
* Not relocatable
* Package owns all files and directories it creates and nothing else
* Permissions set properly
* Macros used consistently
* Code, not content
* No large documentation files
* Not a GUI application
* All filenames valid UTF-8

MUST FIX:
* Package does not build in koji
  : Package builds in koji
  - The reason is related to the %install section that I'll explain below.

Should do:
* I see that upstream has a LICENSE and a README file in their git repository.  You should send them an email to have them include those in their releases.  They probably need a MANIFEST.in file that lists those (something like:

MANIFEST.in:
  include README LICENSE

Notes:

There's a couple non-Fedora-standard things in here.  One of those is contributing to the build failure.  This page https://fedoraproject.org/wiki/Packaging:Python  has the python-specific guidelines for Fedora.  If you take a look you'll see that your %install section and %files section are a bit different.  In this section, it recommends not to use --record=INSTALLED_FILES https://fedoraproject.org/wiki/Packaging:Python#Byte_compiling.  In this section, there's a simple example of what the install section should look like: https://fedoraproject.org/wiki/Packaging:Python_Eggs#Providing_Eggs_using_Setuptools  (sorry it's hidden away and the more complex python2/python3 spec is on the main page.)

Basically instead of this:
%{__python} setup.py install --single-version-externally-managed -O1 --root=%{buildroot} --record=INSTALLED_FILES
[..]
%files -f INSTALLED_FILES

You should have this:
%{__python} setup.py install --root=%{buildroot}
[..]]
%files
%{python_sitelib}/*


The reason that this is contributing to a build failure is that the setup.py file is conditionally using setuptools to build.  When it uses setuptools, --single-version-externally-managed is a valid command line option.  When it only uses distutils, that option is not available.  You could BuildRequire: setuptools to fix that but it's simpler to just make the setup.py install line reflect what the guidelines suggest which works with both distutils and setuptools.

If you fix those things, I can try building in koji again and approve this package.  As discussed on IRC, you're also looking at reviewing a package and then I'll sponsor you.
Comment 6 Juan Barba 2011-01-26 00:55:29 EST
I applied the corrections

Spec URL:
http://xhaksx.fedorapeople.org/rpmdev/python-speaklater/python-speaklater.spec
SRPM URL:
http://xhaksx.fedorapeople.org/rpmdev/python-speaklater/python-speaklater-1.2-4.fc14.src.rpm

RPMLINT SUMMARY:

- SRPM
   * 1 packages and 0 specfiles checked; 0 errors, 0 warnings.
- SPEC
   * 0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 7 Toshio Ernie Kuratomi 2011-01-26 15:09:07 EST
All problems taken care of.  The package is APPROVED.  Now to get you sponsored....
Comment 8 Kevin Fenzi 2011-02-06 17:49:51 EST
WARNING: "haks" is not a valid FAS account.

Can you work with your sponsor to get your account setup, then reset the fedora-cvs flag?
thanks.
Comment 9 Juan Barba 2011-02-07 23:27:29 EST
New Package SCM Request
=======================
Package Name: python-speaklater
Short Description: implements a lazy string for python useful for use with
gettext
Owners: xhaksx
Branches: f13 f14 f15 el5 el6
InitialCC: potty gomix toshio
Comment 10 Bill Nottingham 2011-02-08 15:05:32 EST
f15 is not a valid branch - please resubmit with correct branches.
Comment 11 Jason Tibbitts 2011-02-10 14:23:51 EST
Well, it's a valid branch as of now, so....

Git done (by process-git-requests).
Comment 12 Fedora End Of Life 2012-08-16 17:44:11 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.